# This can be removed once our autotools changes have been upstreamed
# and a new version of popt has been released using those versions
%bcond_without reconf

Name: popt
Version: 1.16
Release: 3
License: MIT
Summary: Command line option parsing library
Url: http://ftp.rpm.org/mirror/popt/

%if %{with reconf}
BuildRequires: autoconf
BuildRequires: automake
BuildRequires: libtool
BuildRequires: gettext-tools
BuildRequires: libintl-devel
%endif

Source0: http://ftp.rpm.org/mirror/popt/popt-%{version}.tar.gz


%description
The popt package contains the popt libraries which are used by some programs to parse command-line options. 

%package -n libpopt0
Summary: popt library
Provides: %{name} = %{version}

%description -n libpopt0
The popt package contains the popt libraries which are used by some programs to parse command-line options. 

%package devel
Summary: popt development files
Requires: %{name} = %{version}-%{release}

%description devel
The popt package contains the popt libraries which are used by some programs to parse command-line options. 

%prep
%setup -q

%build

# configure has a bug in that if it finds GNU coreutils `link` command
# libtool will try to do `link -dump -symbols` which isn't supported
# Must be some other platform `link` command. Instead, we set DUMPBIN to :,
# which is what it gets set to when the link command is not found

%if %{with reconf}
sh autogen.sh --noconfigure
%endif

%configure \
  DUMPBIN=: \
  LDFLAGS="-Wl,-brtl -Wl,-blibpath:%{_libdir}:/QOpenSys/usr/lib -L%{_libdir}" \
  --with-aix-soname=svr4 \
  --disable-static \
  --disable-nls

%make_build

%install

%make_install

%files -n libpopt0
%defattr(-, qsys, *none)

%{_libdir}/libpopt.so.0

%files devel
%defattr(-, qsys, *none)

%{_libdir}/libpopt.so
%{_includedir}/popt.h
%{_libdir}/pkgconfig/popt.pc
%{_mandir}/man3/popt.3*

%changelog
* Thu Nov 4 2021 Jason Hansen <stymie@us.ibm.com> - 1.16
- Intra-package Requires need version and release

* Wed Nov 18 2020 Abdirahim Musse <abdirahim.musse@ibm.com> - 1.16
- Use brp-rm-libtool-files

* Wed May 27 2020 Kevin Adler <kadler@us.ibm.com> - 1.16
- Use generic paths for man and info pages to allow for compression

* Mon Nov 04 2019 Kevin Adler <kadler@us.ibm.com>
- Update URLs since rpm5.org is no longer available
- Fix summary
- Always reconfigure and use libtool AIX svr4 support

* Tue Mar 26 2019 Kevin Adler <kadler@us.ibm.com> - 1.16
- ibm-build-tools -> pase-build-tools

* Sat Mar 03 2018 - Kevin Adler <kadler@us.ibm.com>
- use perl -pie instead of GNU sed -i
- Remove gcc wrappers
- Add BuildRequires
- various other fixes

* Sat Mar 03 2018 - Kevin Adler <kadler@us.ibm.com>
- Mass replace svr4_shlib.sh -> svr4-shrlib

* Fri Dec 29 2017 - Kevin Adler <kadler@us.ibm.com>
- Fix dangling symlink after rename of libpopt.so.0.0.0

* Wed Dec 20 2017 - Kevin Adler <kadler@us.ibm.com>
- Remove 64-bit GCC script workarounds for OBJECT_MODE

* Tue Nov 21 2017 - Kevin Adler <kadler@us.ibm.com>
- Fix automatic dependency generation

* Tue Nov 21 2017 - Kevin Adler <kadler@us.ibm.com>
- Use auto dependency resolution instead of requiring pase-libs

* Tue Nov 07 2017 - Kevin Adler <kadler@us.ibm.com>
- Fix license

* Fri Sep 15 2017 - Kevin Adler <kadler@us.ibm.com>
- Fix GNU coreutils link build issue

* Fri Sep 15 2017 - Kevin Adler <kadler@us.ibm.com>
- Fix 64-bit build
